Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7537

Summary: tclx is improperly build rooted
Product: [Retired] Red Hat Linux Reporter: Jeff Johnson <jbj>
Component: tcltkAssignee: Jens Petersen <petersen>
Status: CLOSED RAWHIDE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: aleksey, irwin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-03 20:18:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 7602    

Description Jeff Johnson 1999-12-03 13:40:53 UTC
The bug I found is in the file ....tclX8.0.4/unix/runtcl.in used by the
./configure command in that same directory

Current:
LD_LIBRARY_PATH=@bldbasedir@/tcl/unix:@TCL_BUILD@:${LD_LIBRARY_PATH}
Corrected:
LD_LIBRARY_PATH=@bldbasedir@/tcl/unix:@TCL_BUILD@/unix:${LD_LIBRARY_PATH}

./configure then uses this file to generate the runtcl script.

Without the "/unix" string in the generated runtcl script, the tcl build
library cannot be found so the library used instead is the old version of
the installed library which in my case (a RedHat 5.2 system) was
incompatible.

All the best,

Alan

P.S. for Jeff Johnson <jbj@redhat.com> I found the bug by using the updated
rpm-3.0.2-5.x available for RedHat 5.2 to attempt building the
tcltk-8.0.5-30 binary package from RH 6.1 tcltk-8.0.5-30.src.rpm. (I am
fairly experienced at this general procedure for updating a 5.2 system, and
normally it works without problems.) The make terminated with an error
message indicating the runtcl command was not working.  If I insert /unix
as
above it works fine.  The only way I think a build would work for you
without
this bugfix is if you already had tcl-8.05 libraries installed.  I had the
8.0.3 libraries installed, thus, I found the problem with runtcl.in and
the generated runtcl.

Comment 1 irwin 1999-12-05 16:53:59 UTC
This bug was found on 5.2 but should be reported on 5.2, 6.0, and 6.1

A patch file that fixes it is

--- tcltk-8.0.5/tclX8.0.4/unix/runtcl.in_bad    Sun Dec  6 19:47:31 1998
+++ tcltk-8.0.5/tclX8.0.4/unix/runtcl.in        Thu Dec  2 18:24:46 1999
@@ -5,7 +5,7 @@
 TCLX_LIBRARY=@bldbasedir@/tcl/unix
 TCL=@bldbasedir@/tcl/unix/tcl
 export TCL_LIBRARY TCLX_LIBRARY
-LD_LIBRARY_PATH=@bldbasedir@/tcl/unix:@TCL_BUILD@:${LD_LIBRARY_PATH}
+LD_LIBRARY_PATH=@bldbasedir@/tcl/unix:@TCL_BUILD@/unix:${LD_LIBRARY_PATH}
 SHLIB_PATH=@bldbasedir@/tcl/unix:@TCL_BUILD@:${SHLIB_PATH}
 export LD_LIBRARY_PATH SHLIB_PATH
 exec $TCL ${1+"$@"}

Comment 2 Elliot Lee 2000-02-03 20:18:59 UTC
Applied patch.